  

.miam-flex-column {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
}

.miam-flex-row {
  display: flex;
  flex-direction: row;
  margin: auto;
  justify-content: space-between;
  align-items: center;
}

.miam-catalog-recipe-card {
  border-radius: var(--m-border-radius);
  box-shadow: var(--m-shadow-small);
  background-color: #fff;
  width: 330px;
  height: 304px;
  display: flex;
  flex-direction: column;
  position: relative;

  .miam-catalog-recipe-card__header {
    display: none;
  }

  .miam-catalog-recipe-card__picture {
    cursor: pointer;
    height: 169px;
    position: relative;

    .miam-catalog-recipe-card__picture__gradient {
      height: 169px;
      .miam-catalog-recipe-card__picture__img {
        border-top-left-radius: var(--m-border-radius);
        border-top-right-radius: var(--m-border-radius);
        width: 100%;
        height: 169px;
        object-fit: cover;
        position: absolute;
        z-index: var(--m-z-index-position-absolute-low);
        transition: var(--m-default-transition);
      }

      .miam-catalog-recipe-card__picture__sponsor {
        position: absolute;
        z-index: var(--m-z-index-position-absolute-low);
        top: 16px;
        left: 16px;
        height: auto;
        max-height: 48px;
        width: auto;
        max-width: 64px;
        object-fit: contain;
        transform: none ;
      }
    }

    .miam-catalog-recipe-card__picture__gradient:after {
      content:'';
      border-top-left-radius: var(--m-border-radius);
      border-top-right-radius: var(--m-border-radius);
      position:absolute;
      width:100%; 
      height:100%;
      background: linear-gradient(180deg, rgba(0, 0, 0, 0.1) 50.52%, rgba(32, 32, 32, 0.85) 88.54%);
    }

    .miam-catalog-recipe-card__picture__tag{
      position: absolute;
      left: 16px;
      top: 16px;
      background-color: var(--m-color-primary-light);
      color : var(--m-color-primary);
      border-radius: 5px;
      padding: 8px;
      text-transform: uppercase;
      font-weight: 500;
    }

    .miam-catalog-recipe-card__attributes__title {
      position: absolute;
      left: 0px;
      bottom: 0px;
      cursor: pointer;
      line-height: 20;
      
      font-weight: 700;
      overflow: hidden;
      font-size: 17px;
      text-overflow: ellipsis;
      display: -webkit-box;
      -webkit-box-orient: vertical;
      -webkit-line-clamp: 2;
      transition: var(--m-default-transition);
      margin: 16px;
      line-height: 1.5;
      letter-spacing: normal;
      text-align: left;
      color: #fff;
      
      &:hover {
        text-decoration: underline;
      }
    }

    .miam-catalog-recipe-card__picture__actions {
      @extend .miam-flex-column;
      position: absolute;
      z-index: var(--m-z-index-position-absolute-high);
      top: 16px;
      right: 16px;

      .miam-catalog-recipe-card__actions__icon {
        margin: 0 0 16px;
        object-fit: contain;
        box-shadow: var(--m-shadow-small);
        padding: 8px;
        background-color: #fff;
        border-radius: var(--m-border-radius-circle);
        width: max-content;

        .icon-container {
          margin: 0;
        }

        &.miam-noPadding {
          padding: 0;
        }
      }
    }
  }

  .miam-catalog-recipe-card__attributes {
    @extend .miam-flex-column;
    flex: 1 1;
    padding: 24px 16px 24px 16px;
    justify-content: space-between;

    .miam-catalog-recipe-card__attributes__control {
      display: flex;
      align-items: center;
      justify-content: space-between;
    
      .miam-catalog-recipe-card__control__left__col {
        display: flex;
        flex-direction: column-reverse;
        .miam-catalog-recipe-card__left__col__counter {
          display: flex;
          align-items: center;
          
          ng-miam-counter-input {
            .miam-counter-input__icon {
              margin-right: 8px;
            }
          }
        }
      }
    
      .miam-catalog-recipe-card__control__right__col {
        display: flex;
        flex-direction: row;
        .miam-catalog-recipe-card__right__col__price{
          margin-right: 16px;
        }
      }
    }

    .miam-catalog-recipe-card__attributes__infos {
      display: flex;
      flex-direction: row;
      justify-content: center;

      .miam-catalog-recipe-card__attributes__info {
        display: flex;
        flex-direction: row;

        .miam-catalog-recipe-card__info__label {
          font-size: 15px;
          margin-left: 8px;
          color: var(--m-color-grey-text);
        }

        .miam-catalog-recipe-card__info__label::first-letter {
          text-transform: capitalize;
        }
      }
    }
  }
}
